# zope imports
from zope.component import provideUtility

# CMF imports
from Products.CMFCore import DirectoryView

# EasyRating imports
from Products.EasyRating.config import *

DirectoryView.registerDirectory('skins', product_globals)
DirectoryView.registerDirectory('skins/easyrating', product_globals)

# iqpp.rating imports
from iqpp.rating.interfaces import IRatingDefinition
from iqpp.rating.definition import RatingDefinition

def initialize(context):
    """
    """
    import catalog
    
    sc = [("excellent", 5.0), ("good", 4.0), ("average", 3.0), ("below average", 2.0), ("bad", 1.0)]
    score = RatingDefinition("Plone", sc, "Scores for Plone content")
    provideUtility(score, IRatingDefinition, name='plone')

    