# zope imports
from zope.interface import Interface
from zope.interface import implements

# Five imports
from Products.Five.browser import BrowserView

# CMFCore imports
from Products.CMFCore.utils import getToolByName

# iqpp imports
from iqpp.rating.interfaces import IRateable

class IRatingPortletView(Interface):    
    """
    """
    def showPortlet():
        """Returns True if context is rateable.
        """
        
    def showAllRatingsLink():
        """Returns True if the all ratings link is to be displayed.
        """ 
        
class RatingPortletView(BrowserView):
    """
    """
    implements(IRatingPortletView)
    
    def showPortlet(self):
        """
        """
        return IRateable.providedBy(self.context)
        
    def showAllRatingsLink(self):
        """
        """ 
        mtool = getToolByName(self.context, "portal_membership")
        return mtool.checkPermission("iqpp.rating.manage", self.context)
            