# CMFCore imports
from Products.CMFCore.utils import getToolByName

def importVarious(context):
    """Import various settings.
    """
    # Install portlet
    PORTLET = "here/portlet_rating/macros/portlet"

    portal = context.getSite()
    rs = portal.getProperty("right_slots")
    
    if PORTLET not in rs:    
        rs = list(rs)
        rs.insert(0, PORTLET)
        portal.manage_changeProperties(right_slots = rs)
        
    # Set default permissions
    portal.manage_permission('iqpp.rating: rate',    ["Anonymous", "Member"], 1)
    portal.manage_permission('iqpp.rating: details', ["Anonymous", "Member"], 1)